<?php

namespace app\api\controller\CommonApi;

use app\BaseController;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use app\common\exception\Tool;
use think\facade\Db;
use think\facade\Env;
use think\captcha\facade\Captcha;
use think\helper\Arr;

class CommonApi extends BaseController
{
    /**
     * 获取验证码接口
     *
     * @return \think\response\Html
     * @date 2023-04-26
     * @author xjh
     * @since 1.0.0
     */
    public function getCaptcha(): \think\response\Html
    {
        return Captcha::create('verify');
    }
}
